View Issue Details

IDProjectCategoryView StatusLast Update
0002471PluginsFARCmdspublic2014-07-10 09:13
ReportersnoitaleRAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version8
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002471: Программа HANDLE.EXE не обнаруживается
DescriptionHANDLE.EXE (от Марка Руссиновича) добавлена в App Path и запускается в меню пользователя без указания полного пути:
edit:<handle "!\!.!"
В редактор выводится надпись, что файл "handle" не является внутренней или внешней командой, исполняемой программой или пакетным файлом.
При указании полного пути к HANDLE.EXE команда срабатывает.
Аналогично не работает 7Z.EXE.
Вместе с тем, неконсольные программы, запущенные без указания полного пути, и встроенные команды операционной системы срабатывают в меню пользователя.
TagsNo tags attached.

Activities

2useven10

2013-08-29 19:24

developer   bugnote:0011371

Last edited: 2013-08-29 19:25

View 2 revisions

вряд ли дело в консольности, в случае
 edit:<handle "!\!.!"
запуск скорее всего идёт через cmd.exe, который не использует App Paths.

имхо проще всего обойти проблему введением нового метасимвола, который бы заменял имя программы на полный путь, найденный с учётом App Paths (что нибудь вроде :handle.exe:)

DrKnS

2013-08-29 20:50

administrator   bugnote:0011372

> имхо проще всего обойти проблему введением нового метасимвола

Зачем так вычурно? Мы можем сами развернуть строку и передать в cmd.

alexy

2013-08-29 20:52

administrator   bugnote:0011373

Надо наверно вообще из фара сделать экспорт чего то типа ProcessCommandline чтоб не повторять этот код везде.

2useven10

2013-08-29 21:21

developer   bugnote:0011375

> Зачем так вычурно?

только для того, чтобы можно было явно задать необходимость развертывания имени

alexy

2013-08-29 21:40

administrator   bugnote:0011376

но делать так не надо

2useven10

2013-08-29 21:57

developer   bugnote:0011377

совсем не обязательно 'так'.
но необходимость развёртывания должна быть указана явно.
логику поиска командного процессора (это не обязательно cmd.exe, даже только встроенные команды - уже проблема) повторить сложно, а навязчивый интеллект будет неочевиден и не всегда полезен.

alexy

2013-08-29 22:01

administrator   bugnote:0011378

В ком строке фара уже весь этот интеллект есть. И чего это я как юзер должен знать нужно тут это развёртывать или нет, мне не должна за это голова болеть.

2useven10

2013-08-30 09:27

developer   bugnote:0011379

Last edited: 2013-08-30 11:46

View 2 revisions

на вкус и цвет юзеры разные. я, как юзер, предпочитаю контролировать процесс сам. чтобы весь интеллект командной строки можно было использовать я ничего против не имею, но:
1) это != автоматической подстановке имён
2) много чего придётся сделать

по конкретной проблеме:
1) FarCmds уже умеет искать файлы (в том числе и в App Paths) -- whereis:handle.exe
2) небольшой допил позволит решить проблему инца. я предлагаю такой вариант
 edit:<"whereis:handle" "!\!.!"

alexy

2013-08-30 11:31

administrator   bugnote:0011380

категорически против

2useven10

2013-08-30 11:58

developer   bugnote:0011381

Last edited: 2013-08-30 12:04

View 3 revisions

> но делать так не надо
> категорически против

для конструктивных возражений хотелось бы услышать 'как делать надо'.
иначе это равнозначно никак не надо делать.
add: на худой конец -- против потому что ...

> Мы можем сами развернуть строку и передать в cmd.

например такую строку:
view:<if exist "!\!.!\*" (echo Directory) else (handle.exe "!\!.!")
?

alexy

2013-08-30 12:05

administrator   bugnote:0011382

Такое мы не поддерживаем нигде, чего бы вдруг добавлять такое здесь?

alexy

2013-08-30 12:08

administrator   bugnote:0011383

Если на то пошло то юзер всегда может добавить в PATH или написать полный путь.
Я за то чтоб farcmds работал как и сам фар.
И лучший способ это экспортировать функционал обработки ком строки из фара плагинам, ибо часто бывает нужно.

2useven10

2013-08-30 12:11

developer   bugnote:0011384

whereis:... это фича FarCmds, именно его я и предлагаю немного доработать.
доработка (даже не новая фича) решит вполне конкретную проблему.
это не о том как сделать глобальное счастье...

2useven10

2013-08-30 12:16

developer   bugnote:0011385

Last edited: 2013-08-30 12:20

View 2 revisions

FarCmds работает не так как far.
edit:<|%TMP%|qq.exe -- что с этим сделает фар ?

alexy

2013-08-30 12:20

administrator   bugnote:0011386

Этот плагин вообще ужасный и большой набор костылей но это не значит что это хорошо

vskirdin

2014-07-08 17:13

administrator   bugnote:0012677

build 116

JohnDoe

2014-07-08 22:07

updater   bugnote:0012691

edit:<wmplayer.exe
'wmplayer.exe' is not recognized as an internal or external command,
operable program or batch file.

vskirdin

2014-07-09 11:47

administrator   bugnote:0012704

build 118

JohnDoe

2014-07-10 01:07

updater   bugnote:0012714

Порядок

Issue History

Date Modified Username Field Change
2013-08-22 20:30 snoitaleR New Issue
2013-08-22 20:50 alexy Project Far Manager => Plugins
2013-08-22 20:50 alexy Category User Menu => FARCmds
2013-08-29 19:24 2useven10 Note Added: 0011371
2013-08-29 19:25 2useven10 Note Edited: 0011371 View Revisions
2013-08-29 20:50 DrKnS Note Added: 0011372
2013-08-29 20:52 alexy Note Added: 0011373
2013-08-29 21:21 2useven10 Note Added: 0011375
2013-08-29 21:40 alexy Note Added: 0011376
2013-08-29 21:57 2useven10 Note Added: 0011377
2013-08-29 22:01 alexy Note Added: 0011378
2013-08-30 09:27 2useven10 Note Added: 0011379
2013-08-30 11:31 alexy Note Added: 0011380
2013-08-30 11:46 2useven10 Note Edited: 0011379 View Revisions
2013-08-30 11:58 2useven10 Note Added: 0011381
2013-08-30 11:58 2useven10 Note Edited: 0011381 View Revisions
2013-08-30 12:04 2useven10 Note Edited: 0011381 View Revisions
2013-08-30 12:05 alexy Note Added: 0011382
2013-08-30 12:08 alexy Note Added: 0011383
2013-08-30 12:11 2useven10 Note Added: 0011384
2013-08-30 12:16 2useven10 Note Added: 0011385
2013-08-30 12:20 2useven10 Note Edited: 0011385 View Revisions
2013-08-30 12:20 alexy Note Added: 0011386
2014-07-08 17:13 vskirdin Note Added: 0012677
2014-07-08 17:13 vskirdin Assigned To => vskirdin
2014-07-08 17:13 vskirdin Status new => feedback
2014-07-08 22:07 JohnDoe Note Added: 0012691
2014-07-09 11:47 vskirdin Note Added: 0012704
2014-07-09 11:47 vskirdin Status feedback => resolved
2014-07-09 11:48 vskirdin Status resolved => feedback
2014-07-10 01:07 JohnDoe Note Added: 0012714
2014-07-10 09:13 vskirdin Status feedback => closed
2014-07-10 09:13 vskirdin Resolution open => fixed
2014-07-10 09:13 vskirdin Fixed in Version => 3.0